/* FORM */

.form-check.form-switch {
    margin-bottom: 0 !important;
    padding: 0 !important;
}

.form-check.form-switch .form-check-input {
    margin: 0 !important;
}

.form-control:focus, .form-check-input:focus, .form-select:focus {
    box-shadow: none !important;
    border: var(--bs-border-width) solid var(--bs-gray-500) !important;
}

.form-check-input:checked {
    background-color: rgb(var(--bs-dark-rgb)) !important;
    border-color: rgb(var(--bs-dark-rgb)) !important;
}

.btn-close:focus {
    box-shadow: none !important;
    border: none !important;

    transition: all;
    transition-duration: 200ms;
}

.form-control:disabled {
    background: var(--bs-gray-100) !important;
    color: var(--bs-gray-600) !important;
}

.form-control:read-only {
    background: var(--bs-gray-100) !important;
    color: var(--bs-gray-600) !important;
    cursor: default;
}

.webkit-appearance-none {
    -webkit-appearance: textfield !important;
    -moz-appearance: textfield !important;
    appearance: textfield !important;

    margin: 0 !important;
}

input[type="file"]:read-only {
    background-color: var(--bs-white) !important;
}

input::-webkit-datetime-edit-day-field,
input::-webkit-datetime-edit-month-field,
input::-webkit-datetime-edit-year-field,
input::-webkit-datetime-edit-text {
    color: var(--bs-gray-500);
}

input[type="date"]:valid::-webkit-datetime-edit-day-field,
input[type="date"]:valid::-webkit-datetime-edit-month-field,
input[type="date"]:valid::-webkit-datetime-edit-year-field,
input[type="date"]:valid::-webkit-datetime-edit-text,

input[type="month"]:valid::-webkit-datetime-edit-day-field,
input[type="month"]:valid::-webkit-datetime-edit-month-field,
input[type="month"]:valid::-webkit-datetime-edit-year-field,
input[type="month"]:valid::-webkit-datetime-edit-text {
    color: var(--bs-gray-600);
}

input::-webkit-datetime-edit-day-field:focus,
input::-webkit-datetime-edit-month-field:focus,
input::-webkit-datetime-edit-year-field:focus,
input::-webkit-datetime-edit-text:focus {
    background-color: transparent;
    color: var(--bs-gray-900) !important;
    outline: none;
}

input.no-focus:focus, textarea.no-focus:focus {
    border: 0 !important;
}

.form-control.no-border, .form-control:focus.no-border {
    border: none !important;
}